/** 
 * DevExtreme (viz/range_selector/theme_manager.js)
 * Version: 16.1.18
 * Build date: Tue Mar 24 2020
 *
 * Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
 * EULA: https://www.devexpress.com/Support/EULAs/DevExtreme.xml
 * MAY BE USED WITH: DevExtreme Complete, DevExtreme Web
 */
"use strict";
define(function(require, exports, module) {
    var BaseThemeManager = require("../core/base_theme_manager").BaseThemeManager;
    exports.ThemeManager = BaseThemeManager.inherit({
        _themeSection: "rangeSelector",
        _fontFields: ["scale.label.font", "sliderMarker.font", "loadingIndicator.font", "export.font", "title.font", "title.subtitle.font"]
    })
});
