/** 
 * DevExtreme (viz/tree_map/tiling.strip.js)
 * Version: 16.1.18
 * Build date: Tue Mar 24 2020
 *
 * Copyright (c) 2012 - 2020 Developer Express Inc. ALL RIGHTS RESERVED
 * EULA: https://www.devexpress.com/Support/EULAs/DevExtreme.xml
 * MAY BE USED WITH: DevExtreme Complete, DevExtreme Web
 */
"use strict";
define(function(require, exports, module) {
    var _squarify = require("./tiling.squarified.base");

    function accumulate(total, current, count) {
        return ((count - 1) * total + current) / count
    }

    function strip(data) {
        return _squarify(data, accumulate, true)
    }
    require("./tiling").addAlgorithm("strip", strip);
    module.exports = strip
});
